<div>
  <div class="header">
    <h1>
      <input
        type="text"
        class="input-title title"
        v-model="assignment.name"
        placeholder="Enter Assignment Name"
      >
    </h1>
    <h3>{{course.name}}</h3>
  </div>

  <div class="files">
    <h2>
      <i class="fa fa-file-text" aria-hidden="true"></i>
      Files:
    </h2>
    <table class="table table-striped table-bordered">
      <tbody>
        <tr>
          <th>Assignment Files</th>
        </tr>
        <tr v-for="(index, file) in assignment.files" track-by="$index">
          <td>
            <div class="content">{{file.split("/").slice(-1)[0]}}</div>
            <div class="delete">
              <a @click="assignment.files.splice(index, 1)">
                <i class="fa fa-times" aria-hidden="true"></i>
              </a>
            </div>
          </td>
        </tr>
        <tr>
          <td style="color: #666666" v-if="assignment.files.length === 0">No files selected</td>
        </tr>
      </tbody>
    </table>
    <div class="get-assignment">
      <button type="button" class="btn btn-secondary" @click="fileSelector()">
        <i class="fa fa-plus"></i>
        Add Files
      </button>
    </div>
  </div>

  <div class="settings">
    <h2>
      <i class="fa fa-sliders" aria-hidden="true"></i>
      Settings:
    </h2>

    <div class="input-group">
      <span class="input-group-addon">Max. Points</span>
      <input class="form-control" v-model.number="assignment.maxPoints" type="number" number>
    </div>
  </div>

  <div class="deadline">
    <h2>
      <i class="fa fa-calendar" aria-hidden="true"></i>
      Deadline:
    </h2>
    <div class="input-group">
      <input type="date" v-model="deadline" class="form-control">
    </div>
  </div>

  <div class="submission">
    <h2>
      <i class="fa fa-plus" aria-hidden="true"></i>
      Create:
    </h2>
    <div class="full-width-btn">
      <button type="button" class="btn btn-success" @click="create()">
        <i class="fa fa-plus" aria-hidden="true"></i>
        Create Assignment
      </button>
    </div>
  </div>
</div>
